Package owl.ltl.visitors

## Interface Visitor<R>

- All Superinterfaces:
    `Function<Formula,​R>`
  All Known Implementing Classes:
    `BlockingModalOperatorsVisitor`, `Converter`, `DeduplicationRewriter`, `LatexPrintVisitor`, `PrintVisitor`, `PropositionalVisitor`, `PullUpXVisitor`, `Rewriter.ToCoSafety`, `Rewriter.ToSafety`, `UnabbreviateVisitor`

      public interface Visitor<R>
      extends Function<Formula,​R>

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default R` | `apply​(Formula formula)` |
    `default R` | `visit​(Biconditional biconditional)` |
    `default R` | `visit​(BooleanConstant booleanConstant)` |
    `default R` | `visit​(Conjunction conjunction)` |
    `default R` | `visit​(Disjunction disjunction)` |
    `default R` | `visit​(FOperator fOperator)` |
    `default R` | `visit​(FrequencyG freq)` |
    `default R` | `visit​(GOperator gOperator)` |
    `default R` | `visit​(Literal literal)` |
    `default R` | `visit​(MOperator mOperator)` |
    `default R` | `visit​(ROperator rOperator)` |
    `default R` | `visit​(UOperator uOperator)` |
    `default R` | `visit​(WOperator wOperator)` |
    `default R` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Method Detail

    - #### apply

          default R apply​(Formula formula)

      Specified by:
        `apply` in interface `Function<Formula,​R>`

    - #### visit

          default R visit​(Biconditional biconditional)

    - #### visit

          default R visit​(BooleanConstant booleanConstant)

    - #### visit

          default R visit​(Conjunction conjunction)

    - #### visit

          default R visit​(Disjunction disjunction)

    - #### visit

          default R visit​(FOperator fOperator)

    - #### visit

          default R visit​(FrequencyG freq)

    - #### visit

          default R visit​(GOperator gOperator)

    - #### visit

          default R visit​(Literal literal)

    - #### visit

          default R visit​(MOperator mOperator)

    - #### visit

          default R visit​(ROperator rOperator)

    - #### visit

          default R visit​(UOperator uOperator)

    - #### visit

          default R visit​(WOperator wOperator)

    - #### visit

          default R visit​(XOperator xOperator)